# DocumentEvent : Object
Return to: HTML DOM Level 2 index

Interface for creating new event types.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
DocumentEvent Constructor() : DocumentEvent Interface for creating new event types. | Show Details | no | 1.0+ | no | no | no

### DocumentEvent() : DocumentEvent

Interface for creating new event types.

Returns

DocumentEvent |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
createEvent(DOMString eventType) : Event Creates a new event. | Show Details | no | 1.0+ | no | no | no

Parameters

DOMString | eventType | Specifies the type of Event to create.

Returns

Event |

Throws
    Raises a NOT_SUPPORTED_ERR if the implementation does not support the specified Event interface.
Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs